C-Command Software Forum

SpamSieve Public Beta and macOS 10.15 Catalina

macOS 10.15 Catalina Compatibility

The current release of SpamSieve (2.9.37) is compatible with the macOS 10.15 Catalina developer beta and public beta.

Because SpamSieve 2.9.36’s Software Update “Download & Install” command doesn’t work on macOS 10.15, it’s best to update to the beta version of SpamSieve before installing the macOS 10.15 beta on your Mac. You can also click the Software Update “Download” button and do the install manually, according to the instructions in the Read Me file.

Installing the Public Beta Version

We make a public beta version of SpamSieve available for compatibility with the latest macOS beta:

The beta release notes are available in the Software Update window and also in the Version History section of the manual (in the Help menu).

We do not recommend using a macOS beta on your main Mac, as there may be bugs that we have not had time to, or cannot, work around. With that said, we do welcome bug reports so that we can investigate any bugs and report them to Apple or try to develop workarounds. Please submit any feedback or bug reports via e-mail, rather than posting here.

When the new version of macOS is finalized and released to everyone, we (usually within hours) test SpamSieve with the release version and finalize the new version of SpamSieve. The new version is announced on the SpamSieve mailing list, blog, and Twitter feed and becomes available via the Software Update… command. It’s best to update SpamSieve before updating macOS. To prevent macOS from updating itself without asking you, go to the App Store section of System Preferences and make sure that Install macOS updates is unchecked.

Not getting beta updates
I am at 2.9.36 which I think is the release version ( as I reinstalled recently)

I did click your link to receive betas, and when I check updates it shows no update

unless 2.9.36 is the latest and no subsequent betas are available

thanks for advising me

There is no beta yet. Currently, there seems to be bug in the Catalina version of Mail that prevents it from loading plug-ins.

Have you tried the latest version of the beta that was released today?

Yes, there’s no change with Developer Beta 2.

I haven’t seen any difference from B1 to B2

plug in

Installed latest Catalina public Beta. Can’t load plug in. Still a mail bug in Catalina?

Right. The Catalina Public Beta 1 is essentially the same as the Developer Beta 2 that’s mentioned above.

Just installed Beta 3 and now the plugin isnt installed anymore and trying to install it via the latest version seem to do nothing.
There was a message popping up from the security center, to give spamsieve full disc access and automation access, but it seem to not have changed anything.
Everytime i start mail i am getting a message from spamsieve displayed that i should quit and follow the instructions, which i did, but seem to not have changed anything…

I have saved my log files from spamsieve, so i can i can assist, please contact me via mail.

Cheers
Michael

Don’t bother trying SpamSieve 2.9.36. It will definitely not be compatible with any version of Catalina Apple Mail. After I’ve tested with Developer Beta 3, I’ll post an update here if anything has changed with respect to a new SpamSieve beta working with Catalina. (So far, I’ve heard from one source that Catalina is still not able to load Mail plug-ins.)

Indeed, Catalina Beta 3 is still not loading Mail plug-ins.

Beta 4 is out - still no love for spamsieve…

Unfortunately, Mail’s “Manage Plug-ins…” sheet still seems to be broken in Developer Beta 4. However, I’m working on updating what I can, so that when Mail is ready for plug-ins, SpamSieve will be ready.

How can I get the beta version?
I have done all the steps below, but still I cannot use SpamSieve.

Did you do the Software Update after clicking the link to enable the beta version? Which version are you currently using?

SpamSieve on Catalina

Yes, I followed all the steps. Version 2.9.36.

I did respond to you. I have clicked on the beta link below. Then when instructions pop up showing me how to manage plug ins, I go to mail, preferences and click “Manage Plug-ins” and there are NO plug ins listed. I go to SpamSieve and click on update software and it tells me I have the most up to date version. Now what?

As I wrote earlier in this thread:

Mail in Catalina has a bug where it does not know how to find the installed plug-ins, which is why the list in Manage Plug-ins is empty.

SpamSieve 2.9.37b1 is now available, with compatibility for Apple Mail under macOS 10.15. Because SpamSieve 2.9.36’s Software Update “Download & Install” command doesn’t work on macOS 10.15, it’s best to update to the beta version of SpamSieve before installing the macOS 10.15 beta on your Mac. You can also click the “Download” button and do the install manually, according to the instructions in the Read Me file.

Where can I find the instructions to move my preferences file to the new location for the beta? I should have screen shot the directions/paths and I didn’t.